/*
 * @Author: xiefan2333 1668903208@qq.com
 * @Date: 2023-05-31 01:37:12
 * @LastEditors: xiefan2333 1668903208@qq.com
 * @LastEditTime: 2023-05-31 01:38:04
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejsDisplay\threeScene1\model\material\zero.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as THREE from 'three';

function createBasicMaterial(color, opacity) {
    const material = new THREE.MeshBasicMaterial({
        color: color || 0xffffff, // 默认颜色为白色
        opacity: opacity || 1, // 默认不透明
        transparent: opacity !== undefined && opacity < 1 // 如果透明度小于1，则开启透明度
    });
    return material;
}

const zeroM = createBasicMaterial(0x00ff00, 0); // 创建不显示得材质
zeroM.opacity = 0
zeroM.depthWrite = false
zeroM.flatShading = false

export { zeroM }