
import * as THREE from 'three';



const setCamera = (x, y, z) => {
  const camera = new THREE.PerspectiveCamera(50, window.innerWidth / window.innerHeight,
    0.5, 1000000);
  camera.position.set(x, y, z)
  return camera
}

const testRender = (camera) => {
  function renderCamera() {
    console.log("相机x+" + camera.position.x + "+相机y" + camera.position.y + "+相机z+" + camera.position.z)
  }
  document.addEventListener('mousemove', renderCamera);
}



const camera = setCamera(0,0,8)

// testRender(camera)//相机调试函数





export { camera, testRender }



