/*
 * @Author: xiefan2333 1668903208@qq.com
 * @Date: 2023-05-31 19:00:26
 * @LastEditors: xiefan2333 1668903208@qq.com
 * @LastEditTime: 2023-06-02 05:53:54
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejsDisplay\threeScene1\model\img\imgLoad.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as THREE from 'three';
import { manager } from '../../data/manager.js'
import { } from 'three/examples/jsm/loaders/RGBMLoader.js'
import { } from 'three/examples/jsm/loaders/RGBELoader.js'

var texLoader = new THREE.TextureLoader(manager)

function addMaterial(nam) {

    const imgPlath = "./img/";
    const tex = texLoader.load(imgPlath + nam);
    tex.flipY = true
    // tex.encoding = THREE.BasicDepthPacking
    // tex.encoding = THREE.RGBADepthPacking

    tex.encoding = THREE.sRGBEncoding
    // tex.encoding = THREE.LinearEncoding
    // tex.format=THREE.AlphaFormat
    return (tex)
}

// let backimg = addMaterial('背景.jpg')

let backimg = addMaterial('sence2/背景.jpg')
const envImg = addMaterial('环境2.jpg')
envImg.mapping = THREE.EquirectangularReflectionMapping//专门针对金属反射映射贴图  

export {envImg,backimg}