/*
 * @Author: xiefan2333 1668903208@qq.com
 * @Date: 2023-06-02 05:45:27
 * @LastEditors: xiefan2333 1668903208@qq.com
 * @LastEditTime: 2023-06-02 05:52:45
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejsDisplay\threeScene2\render\camera.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */

import * as THREE from 'three';



const setCamera = (x, y, z) => {
  const camera = new THREE.PerspectiveCamera(50, window.innerWidth / window.innerHeight,
    0.5, 1000000);
  camera.position.set(x, y, z)
  return camera
}

const testRender = (camera) => {
  function renderCamera() {
    console.log("相机x+" + camera.position.x + "+相机y" + camera.position.y + "+相机z+" + camera.position.z)
  }
  document.addEventListener('mousemove', renderCamera);
}



const camera = setCamera(-4.71,0.323,11.092)

// testRender(camera)//相机调试函数





export { camera, testRender }



