/*
 * @Author: xiefan2333 1668903208@qq.com
 * @Date: 2023-05-30 23:27:21
 * @LastEditors: xiefan2333 1668903208@qq.com
 * @LastEditTime: 2023-06-01 18:37:17
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejsDisplay\threeScene1\model\obj\font.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as THREE from 'three';
import { manager } from '../../data/manager';
//引入文字库插件
import { FontLoader } from 'three/examples/jsm/loaders/FontLoader.js'
import { TextGeometry } from 'three/examples/jsm/geometries/TextGeometry.js'
//引入help边切测量文字边距
import { } from 'three/examples/jsm/helpers/VertexNormalsHelper.js'
import { } from 'three/examples/jsm/helpers/VertexTangentsHelper.js'

// import font from '../../data/FZXiYuan-M01S_Regular.json'

// console.log(font);
const addTextF = (srcText, sizef, heightn, num,objMain) => {
    const loader = new FontLoader(manager);
    let mesh:any = {
        obj: [],
        gropzhou:[]
    }

    loader.load('./fontJson/FZXiYuan-M01S_Regular.json',
        (font) => {
            let geometryText:any = []
        
            const color = 0xffffff;
            const matLite = new THREE.MeshStandardMaterial({
                color: color,
                emissive: color,
                emissiveIntensity: 15,
                transparent: true,
                opacity: 1,
                side: THREE.DoubleSide
            });

            geometryText[num] = new TextGeometry(srcText, {
                font: font,
                size: sizef,
                height: heightn,
                curveSegments: 12,
                bevelEnabled: false,
                bevelThickness: 10,
                bevelSize: 16,
                bevelOffset: 0,
                bevelSegments: 5
            });
   
            mesh.obj[num] = new THREE.Mesh(geometryText[num], matLite)
            mesh.obj[num].name = '分支文字'
            mesh.obj[num].material.name = '分支文字材质'

            const box = new THREE.BoxHelper(mesh.obj[num], 0xffff00);
            let TextLength = (box.geometry.attributes.position.array[9] - box.geometry.attributes.position.array[6]) / 2//通过边界框计算出了生成数据长度
            mesh.obj[num].position.x -= TextLength
            mesh.obj[num].position.z=0.4
            mesh.obj[num].rotation.x=-90/180 *Math.PI
            mesh.gropzhou[num]=new THREE.Group()
            const formatter = new Intl.NumberFormat('en-US');
            mesh.gropzhou[num].name='文字轴心'+formatter.format(num);
            mesh.gropzhou[num].add( mesh.obj[num])
        
            objMain.add( mesh.gropzhou[num] )
            // console.log(mesh.obj[num]);
            // return mesh.obj[num];
    
        },
      
         )
     
 

}


export {addTextF}
