/*
 * @Author: xiefan2333 1668903208@qq.com
 * @Date: 2023-05-31 16:53:42
 * @LastEditors: xiefan2333 1668903208@qq.com
 * @LastEditTime: 2023-05-31 18:57:23
 * @FilePath: \7e:\project\2023\5\21 threejs解耦\xiefan\src\components\threejsDisplay\threeScene1\model\obj\glbLoad.ts
 * @Description: 这是默认设置,请设置`customMade`, 打开koroFileHeader查看配置 进行设置: https://github.com/OBKoro1/koro1FileHeader/wiki/%E9%85%8D%E7%BD%AE
 */
import * as THREE from 'three';
import { GLTFLoader } from 'three/examples/jsm/loaders/GLTFLoader.js'
import { manager } from '../../data/manager';
import { DRACOLoader } from 'three/examples/jsm/loaders/DRACOLoader.js'

const glbScence: any = {
    glb: [],
    path: '',
    obj: []
}
glbScence.glb = ['主板压缩.glb']
glbScence.path = './glb/'

const dracoLoader = new DRACOLoader();
dracoLoader.setDecoderPath('./glb/draco/');
dracoLoader.setDecoderConfig({ type: 'js' });
dracoLoader.setPath(glbScence.path);

var loader = new GLTFLoader(manager); //创建一个GLTF加载
loader.setPath('./glb/');
loader.setDRACOLoader(dracoLoader);

for (let i = 0; i < glbScence.glb.length; i++) {
    loader.load(glbScence.glb[i],
        (gltf) => {
            glbScence.obj[i] = gltf.scene

        }, function (xhr) {
            // console.log( ( xhr.loaded / xhr.total ) + '% 模型加载' );
        }
    )
}



export { glbScence }